> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/filters

> Lists the values available as filters in custom revenue reports, such as publishers, partners, countries and devices



## OpenAPI

````yaml /openapi.json get /v1/report/filters
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: AI
  - name: AI/Activity
  - name: Billing
  - name: Billing/Invoice
  - name: Audit Log
  - name: '[IN PROGRESS] Integration'
  - name: '[IN PROGRESS] Integration/Mapping'
  - name: '[IN PROGRESS] User'
  - name: '[IN PROGRESS] User/Account'
  - name: public
paths:
  /v1/report/filters:
    get:
      tags:
        - Reporting/Revenue Reports
        - public
      summary: /report/filters
      description: >-
        Lists the values available as filters in custom revenue reports, such as
        publishers, partners, countries and devices
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  currency:
                    type: string
                    description: >-
                      Reporting currency of your organisation, ISO 4217 code;
                      GBP when none is set
                  results:
                    type: object
                    description: >-
                      Options for each filter key in a report's filters. Put an
                      option's value in that filter's matches. uid, oid,
                      config_id, line_item, campaign, campaign_advertiser and
                      tag are left out when they have no options
                    properties:
                      unit:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                              enum:
                                - adhesion
                                - app-banner
                                - app-interstitial
                                - app-open
                                - interstitial
                                - anchor
                                - side-rail
                                - iab
                                - in-article
                                - in-image
                                - pixel
                                - video
                                - video-3p
                          required:
                            - label
                            - value
                      platform:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                              description: Platform id, lower case
                          required:
                            - label
                            - value
                        description: Ad server and demand platforms
                      account_name:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: Platform name and account name
                            value:
                              type: integer
                              description: Integration account id
                          required:
                            - label
                            - value
                        description: Integration accounts you can see
                      account_owner:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: integer
                              description: Organisation id; 0 is Content Ignite
                          required:
                            - label
                            - value
                        description: Organisations that own integration accounts
                      partner:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                              description: Lower-case partner name
                          required:
                            - label
                            - value
                        description: Partners with data in the last year
                      channel:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                              enum:
                                - Ad server
                                - AdSense
                                - Ad Exchange
                                - Open Bidding
                                - Mediation
                                - Header Bidding
                                - Fallback
                          required:
                            - label
                            - value
                      geo:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: Country name
                            value:
                              type: string
                              description: ISO 3166-1 alpha-2 country code
                          required:
                            - label
                            - value
                      region:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                              enum:
                                - AF
                                - AN
                                - AS
                                - OC
                                - EU
                                - NA
                                - SA
                              description: Continent code
                          required:
                            - label
                            - value
                      revenue_source:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                              enum:
                                - saas
                                - pap
                          required:
                            - label
                            - value
                      device:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                              enum:
                                - mobile
                                - tablet
                                - desktop
                          required:
                            - label
                            - value
                      creative_size:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: Size followed by its IAB name in brackets
                            value:
                              type: string
                              description: '`WIDTHxHEIGHT` in pixels, or `fluid`'
                          required:
                            - label
                            - value
                      environment:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                              enum:
                                - web
                                - app
                          required:
                            - label
                            - value
                      uid:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: >-
                                Domain, label (if any) and site id; deleted
                                sites end in `(Deleted)`
                            value:
                              type: integer
                              description: Site id
                          required:
                            - label
                            - value
                      oid:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: >-
                                Organisation name; deleted ones end in
                                `(Deleted)`
                            value:
                              type: integer
                              description: Organisation id
                          required:
                            - label
                            - value
                      config_id:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: >-
                                Domain, unit, label (if any) and config id;
                                deleted ones end in `(Deleted)`
                            value:
                              type: integer
                              description: Ad unit config id
                          required:
                            - label
                            - value
                      line_item:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: Advertiser / campaign / line item
                            value:
                              type: string
                              description: Line item id, always a string
                          required:
                            - label
                            - value
                      campaign:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: Advertiser / campaign
                            value:
                              type: string
                              description: Campaign id, always a string
                          required:
                            - label
                            - value
                      campaign_advertiser:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                            value:
                              type: string
                              description: Advertiser name
                          required:
                            - label
                            - value
                      tag:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: Tag name
                            value:
                              type: string
                              description: Tag slug
                            own:
                              type: boolean
                              description: >-
                                Your organisation has applied this tag to at
                                least one publisher
                            others:
                              type: boolean
                              description: >-
                                Another organisation in your account structure
                                has applied this tag to at least one publisher
                          required:
                            - label
                            - value
                            - own
                            - others
                        description: >-
                          Tags from your organisation and the organisations in
                          your account structure below it, sorted by name
                    required:
                      - unit
                      - platform
                      - account_name
                      - account_owner
                      - partner
                      - channel
                      - geo
                      - region
                      - revenue_source
                      - device
                      - creative_size
                      - environment
                  success:
                    type: boolean
                required:
                  - currency
                  - results
                  - success
              example:
                currency: GBP
                results:
                  unit:
                    - label: In-Article
                      value: in-article
                    - label: Video
                      value: video
                  platform:
                    - label: Google Ad Manager
                      value: gam_wr
                    - label: Example Exchange
                      value: example_exchange
                  account_name:
                    - label: Google Ad Manager, Example Media
                      value: 57
                  account_owner:
                    - label: Content Ignite
                      value: 0
                    - label: Example Media Ltd
                      value: 312
                  partner:
                    - label: ExampleBidder
                      value: examplebidder
                    - label: SampleSSP
                      value: samplessp
                  channel:
                    - label: Ad server
                      value: Ad server
                    - label: Header Bidding
                      value: Header Bidding
                  geo:
                    - label: France
                      value: FR
                    - label: United Kingdom
                      value: GB
                  region:
                    - label: Europe
                      value: EU
                    - label: North America
                      value: NA
                  revenue_source:
                    - label: SaaS
                      value: saas
                    - label: P&P
                      value: pap
                  device:
                    - label: Mobile
                      value: mobile
                    - label: Desktop
                      value: desktop
                  creative_size:
                    - label: 300x600 (Halfpage)
                      value: 300x600
                    - label: fluid (Fluid)
                      value: fluid
                  environment:
                    - label: Web
                      value: web
                    - label: App
                      value: app
                  uid:
                    - label: example.com - 18620
                      value: 18620
                    - label: news.example.com - Mobile - 18655
                      value: 18655
                  oid:
                    - label: Example Media Ltd
                      value: 312
                  config_id:
                    - label: example.com - in-article - 7301
                      value: 7301
                  line_item:
                    - label: Example Advertiser / Autumn Sale / Homepage takeover
                      value: '6727744249'
                  campaign:
                    - label: Example Advertiser / Autumn Sale
                      value: '2663409055'
                  campaign_advertiser:
                    - label: Example Advertiser
                      value: Example Advertiser
                  tag:
                    - label: News
                      value: news
                      own: true
                      others: false
                    - label: Sport
                      value: sport
                      own: true
                      others: true
                    - label: Travel
                      value: travel
                      own: false
                      others: true
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.